TipSideCountReloaded = {}
function TipSideCountReloaded:onRegisterActionEvents(isActiveForInput, isActiveForInputIgnoreSelection)
    if self.isClient then
        local spec = self.spec_trailer
        -- START ORIGNAL:
        -- if spec.tipSideCount < 2 then
        --  return
        -- end
        -- END ORIGINAL
        --
        -- START ADAPTED:
        -- allow processing of further code also if tipSideCount == 1
        if spec.tipSideCount < 1 then
            return
        end
        -- END ADAPTED

        self:clearActionEventsTable(spec.actionEvents)

        if isActiveForInputIgnoreSelection then
            -- START ORIGNAL:
            -- local _, actionEventId = self:addActionEvent(spec.actionEvents, InputAction.TOGGLE_TIPSIDE, self, Trailer.actionEventToggleTipSide, false, true, false, true, nil),
            -- END ORIGINAL
            --
            -- START ADAPTED:
            -- add the option to toggle tip side only if more than 1 tip side is available
            if spec.tipSideCount > 1 then
                local _, actionEventId = self:addActionEvent(spec.actionEvents, InputAction.TOGGLE_TIPSIDE, self, Trailer.actionEventToggleTipSide, false, true, false, true, nil)
            else
                local _, actionEventId = nil
            end
            -- END ADAPTED

            g_inputBinding:setActionEventTextPriority(actionEventId, GS_PRIO_NORMAL)

            local tipSide = spec.tipSides[spec.preferedTipSideIndex]

            if tipSide ~= nil then
                if tipSide.manualTipToggle then
                    _, actionEventId = self:addPoweredActionEvent(spec.actionEvents, tipSide.manualTipToggleAction, self, Trailer.actionEventManualToggleTip, false, true, false, true, nil)

                    g_inputBinding:setActionEventTextPriority(actionEventId, GS_PRIO_NORMAL)
                end

                if tipSide.manualDoorToggle then
                    _, actionEventId = self:addPoweredActionEvent(spec.actionEvents, tipSide.manualDoorToggleAction, self, Trailer.actionEventManualToggleDoor, false, true, false, true, nil)

                    g_inputBinding:setActionEventTextPriority(actionEventId, GS_PRIO_NORMAL)
                end
            end
        end
    end
end
Trailer.onRegisterActionEvents = Utils.overwrittenFunction(Trailer.onRegisterActionEvents, TipSideCountReloaded.onRegisterActionEvents)
